<template>
  <div>
    <h3>Select</h3>
    <v-select
      :options="options"
      :reduce="country => country.code"
      label="country"
      multiple
      taggable
      push-tags
      :components="{Deselect}"
    />
  </div>
</template>

<script>
import Vue from "vue";
import vSelect from "vue-select";
import "vue-select/dist/vue-select.css";
export default {
  components: { vSelect, Vue },
  data() {
    return {
      options: [
        { code: "CA", country: "Canada" },
        { code: "USA", country: "Mỹ" },
        { code: "VN", country: "Việt Nam" }
      ],
      Deselect: {
        render: createElement => createElement("span", "❌")
      }
    };
  }
};
</script>
